Celestial Impact Forum Index
Author Message

<  Support  ~  openGL version problems

sergiekun
Posted: Fri Jun 06, 2008 11:08 pm Reply with quote
Joined: 06 Jun 2008 Posts: 5
um well...


-----------------------------------
--------- CI ERROR DUMP ---------
-----------------------------------
Error time: 2008-06-06 16:16:08
Error Msg: QGL_CheckOpenGL2: Bad OpenGL version (1.4)

Please download your graphic cards latest drivers

Your current graphic driver:
Intel Intel Bear Lake B

You will not be able to run Celestial Impact in client mode

Engine Version: 1.10

OpenGL Extensions:

-----------------------------------

=========================== CONSOLE ===========================
-------- Celestial Impact v1.10 --------
Build: WIN32-IA-32-RELEASE May 28 2008 23:14:31
Starting Celestial Impact at: 2008-06-06 16:16:01
Command line: ""
Get system info...
CPU: 2 GenuineIntel 1595 MHz with MMX & SSE
Mem: 2036 MB Free: 1126 MB
OS: 6.0
Startup File System...
Current Path: "C:/Users/Richard Zado III/Desktop/downloads/ci_110_full/"
........... Base_Imp ...........
Sys_InitNet: Initialize Network...
Socket version: WinSock 2.0
Setup UDP socket...
My computer name: RichardZadoIII
Sys_InitNet: bind( 14666 ) LOCAL successful
My LAN IP: 192.168.1.42
My LAN Port: 14666
Sys_InitNet: Initialized network successful
Net_Init: sizeof( netPipe_t ) == 14036
Net_Init: Network up and running (my qport: 21987)
Loading pack files...
Loaded "game.pack" (cs: 9E4D3A2E) (1206 files)
Loaded "game1.pack" (cs: 0E24B87C) (69 files)
Loaded 2 packs in 3759 ms
Loading Game Module: "game"...
Loaded GAME "Celestial Impact" version: 1.10
........... Base_Imp Done ...........
........... Base_Init ...........
Game Module says HELLO!
Game module build time: May 28 2008 22:18:26
Resolving master address...
Resolved master address 74.52.14.2:15666
........... Base_Init Done (164 msec) ...........
CL_Init: Starting up client...
Sys_GetUserID: Loaded user id 0 from Win32 register
....................... R_Init .......................
dest_t = 28 light_t = 672 surfaces_t = 188
Loaded opengl32.dll successfully
Setup fullscreen mode successful
Window created successful (800*600)
Setup pixel format successful (color: 32 z: 24 stencil: Cool
Initializing WGL...
Created WGL context successful
WGL is up and running
Display mode successful (800*600*32 z: 24 stencil: 8 full: 1)
Initializing OpenGL...
========================= CONSOLE END =========================




The game looks awsome, and I so wanna play it.
View user's profile Send private message
Dracus
Posted: Sat Jun 07, 2008 1:25 am Reply with quote
Site Admin Joined: 03 Apr 2007 Posts: 54 Location: Stockholm, Sweden
We should probably be more specific about this.

"Error Msg: QGL_CheckOpenGL2: Bad OpenGL version (1.4) "

The game requires a graphics card that support OpenGL 2.0 and it says your only supports 1.4 at the moment (the number in the parenthesis).
I believe no integrated graphics chip from Intel supports 2.0 right now.

_________________
Daniel Carlsson
Concept and 3D artist
Celestial Impact
View user's profile Send private message Visit poster's website
sergiekun
Posted: Sun Jun 08, 2008 2:22 pm Reply with quote
Joined: 06 Jun 2008 Posts: 5
That sucks, the game looked so good...
View user's profile Send private message
Silverfish
Posted: Wed Jun 11, 2008 7:03 pm Reply with quote
Joined: 22 Nov 2007 Posts: 57 Location: Sweden
sergiekun wrote:
That sucks, the game looked so good...

I'm sorry :'-( .
View user's profile Send private message
sergiekun
Posted: Tue Jul 28, 2009 4:46 pm Reply with quote
Joined: 06 Jun 2008 Posts: 5
Man I've been gone a long while. Well, still can't run it on this crap card. (version 1.4 shader) any way to open it in a lower graphics mode? I mean, what causes it to require such a high shader? I play Starsiege: Tribes, graphics don't make a game.
View user's profile Send private message
creamola
Posted: Wed Jul 29, 2009 12:40 pm Reply with quote
Developer Joined: 04 Apr 2007 Posts: 136 Location: Stockholm, Sweden
Unfortunately no. The reason that a higher version is required is not because of extreme graphics quality but rather because parts of the world deformation is based on some functions that only exist in the newer OpenGL versions. We would have to remove a big portion of the game for it to be able to start up with lower versions.

_________________
Daniel Wikell
Game Design, 2D art and the rest of the stuff that noone else does
Celestial Impact
View user's profile Send private message
sergiekun
Posted: Wed Jul 29, 2009 3:07 pm Reply with quote
Joined: 06 Jun 2008 Posts: 5
Ah, interesting. Well, I guess theres no choice but to see when I can spare enough money for a good graphics card. OpenGL 4.0 can't hurt Smile
View user's profile Send private message

Display posts from previous:  

All times are GMT + 1 Hour
Page 1 of 1
Post new topic

Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum